Foreman - Bug #19318

Plugins infrastructure don't work reliably in development
04/19/2017 09:10 AM - Ivan Necas

Status: Duplicate
Priority: Normal
Assignee:

Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Plugins APl is broken in development, to reproduce:

1. enable a plugin (see it in about page)

2. edit some model (such as app/models/setting.rb)

3. see the about page again: no plugin present (the same applies to menus)

This is a regression introduced by http:/projects.theforeman.org/issues/18445/

Related issues:

Related to Foreman - Bug #18445: "Cannot define multiple 'included' blocks" f... Closed 02/09/2017
Is duplicate of Foreman - Bug #19317: Plugin and dashboard widget registry au... Closed 04/19/2017
History

#1 - 04/19/2017 09:10 AM - lvan Necas

- Related to Bug #18445: "Cannot define multiple ‘included’ blocks" for audit_extensions with eager_load enabled added

#2 - 04/19/2017 09:11 AM - lvan Necas

- Description updated

#3 - 04/19/2017 09:15 AM - Dominic Cleal
- Is duplicate of Bug #19317: Plugin and dashboard widget registry auto-reloaded added

#4 - 04/19/2017 09:15 AM - Dominic Cleal

- Status changed from New to Duplicate

05/19/2024

1/1



http://projects.theforeman.org/issues/18445/
http://www.tcpdf.org

